Bug 299424 - amarok-2.5.0 crashes when filtering the collection when a mtp device connected
Summary: amarok-2.5.0 crashes when filtering the collection when a mtp device connected
Status: RESOLVED DUPLICATE of bug 270949
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Local (show other bugs)
Version: 2.5.0
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-05 07:27 UTC by François Valenduc
Modified: 2012-05-08 11:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description François Valenduc 2012-05-05 07:27:45 UTC
When I filter my music collection while a MTP device is connected, amarok crashes instantly. I am using libmtp-1.1.2 and amarok-2.5.0-r2 from gentoo.

This is the output I have got while starting amarok from a terminal (with --nofork and -d):

*** glibc detected *** amarok: double free or corruption (fasttop): 0x00007f42143e1690 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x76516)[0x7f4255f40516]
/lib64/libc.so.6(cfree+0x6c)[0x7f4255f4539c]
/usr/lib64/qt4/libQtCore.so.4(_ZN7QString4freeEPNS_4DataE+0x2c)[0x7f42568380ac]
/usr/lib64/qt4/libQtCore.so.4(+0x1828e9)[0x7f42568fb8e9]
/usr/lib64/libamaroklib.so.1(+0x5aee81)[0x7f425866fe81]
/usr/lib64/libamaroklib.so.1(_ZNK18StringMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0x3b)[0x7f425866f10b]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f470]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f470]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f470]
/usr/lib64/libamaroklib.so.1(_ZNK24AndContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f5d0]
/usr/lib64/libamaroklib.so.1(+0x5bea03)[0x7f425867fa03]
/usr/lib64/libamaroklib.so.1(+0x5b5a4d)[0x7f4258676a4d]
/usr/lib64/libthreadweaver.so.4(+0xcae1)[0x7f425350eae1]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver3Job7executeEPNS_6ThreadE+0xbe)[0x7f425350ec1e]
/usr/lib64/libthreadweaver.so.4(+0xc3cf)[0x7f425350e3cf]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver6Thread3runEv+0x78)[0x7f425350e488]
/usr/lib64/qt4/libQtCore.so.4(+0x79f65)[0x7f42567f2f65]
/lib64/libpthread.so.0(+0x7d0c)[0x7f425415ed0c]
/lib64/libc.so.6(clone+0x6d)[0x7f4255fa6bed]
======= Memory map: ========
00400000-00418000 r-xp 00000000 fe:00 816377                             /usr/bin/amarok
00617000-00618000 r--p 00017000 fe:00 816377                             /usr/bin/amarok
00618000-00619000 rw-p 00018000 fe:00 816377                             /usr/bin/amarok
020e8000-0304a000 rw-p 00000000 00:00 0                                  [heap]
7f4202d56000-7f4202d57000 rw-p 00000000 00:00 0 
7f4202d57000-7f4202d5b000 rwxp 00000000 00:00 0 
7f4202d5b000-7f4207dd4000 rw-s 00000000 fe:00 153524                     /var/tmp/kdecache-francois/plasma_theme_Amarok-Mockup.kcache
7f4207dd4000-7f4207e6a000 r--p 00000000 fe:00 286128                     /usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf
7f4207e6a000-7f4207f00000 r--p 00000000 fe:00 286115                     /usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf
7f4207f00000-7f4208080000 rw-p 00000000 00:00 0 
7f42080a6000-7f4208500000 rw-p 00000000 00:00 0 
7f4208526000-7f420852e000 rwxp 00000000 00:00 0 
7f420852e000-7f4208b00000 rw-p 00000000 00:00 0 
7f4208b14000-7f4208c14000 rw-p 00000000 00:00 0 
7f4208c14000-7f4208ca1000 r-xp 00000000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ca1000-7f4208ea0000 ---p 0008d000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ea0000-7f4208ea3000 r--p 0008c000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ea3000-7f4208ea5000 rw-p 0008f000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ea5000-7f4208ef6000 r-xp 00000000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f4208ef6000-7f42090f6000 ---p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f42090f6000-7f42090f8000 r--p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f42090f8000-7f42090f9000 rw-p 00053000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f42090f9000-7f42091c3000 r-xp 00000000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42091c3000-7f42093c2000 ---p 000ca000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42093c2000-7f42093c4000 r--p 000c9000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42093c4000-7f42093c7000 rw-p 000cb000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42093c7000-7f42093c8000 rw-p 00000000 00:00 0 
7f42093c8000-7f42093eb000 r-xp 00000000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42093eb000-7f42095ea000 ---p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42095ea000-7f42095eb000 r--p 00022000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42095eb000-7f42095ec000 rw-p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42095ec000-7f420966f000 r-xp 00000000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f420966f000-7f420986e000 ---p 00083000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f420986e000-7f4209871000 r--p 00082000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f4209871000-7f4209873000 rw-p 00085000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f4209873000-7f42098a8000 r-xp 00000000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f42098a8000-7f4209aa7000 ---p 00035000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f4209aa7000-7f4209aa9000 r--p 00034000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f4209aa9000-7f4209aaa000 rw-p 00036000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f4209aaa000-7f4209bb3000 r-xp 00000000 fe:00 529658                     /usr/lib64/qt4/plugins/script/libqtscript_network.so.1.0.0KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
sock_file=/home/francois/.kde4/socket-pc-francois/kdeinit4__0
zsh: suspended (signal)  amarok --nofork -d

Reproducible: Always

Steps to Reproduce:
1.Start amarok
2.Connect a MTP device (creative Zen X-Fi if that matters)
3.Filter the local music collection
Actual Results:  
Amarok gives a segfault and crashes.

Expected Results:  
Amarok should'nt crash.
Comment 1 Myriam Schweingruber 2012-05-06 11:33:52 UTC
Could you please provide a backtrace for the crash? Else this report is not useful.
Comment 2 François Valenduc 2012-05-06 12:10:23 UTC
So I followed the informations found on http://amarok.kde.org/wiki/Debugging_%28documentation%29#GDB and I get this:

*** glibc detected *** /usr/bin/amarok: double free or corruption (fasttop): 0x00007fff9c005c60 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x76516)[0x7ffff4616516]
/lib64/libc.so.6(cfree+0x6c)[0x7ffff461b39c]
/usr/lib64/qt4/libQtCore.so.4(_ZN7QString4freeEPNS_4DataE+0x2c)[0x7ffff4f0e0ac]
/usr/lib64/libamarokcore.so.1(_ZN4Meta13valueForFieldEx10KSharedPtrINS_5TrackEE+0xfe0)[0x7ffff7514110]
/usr/lib64/libamaroklib.so.1(+0x5ae76e)[0x7ffff6d4576e]
/usr/lib64/libamaroklib.so.1(_ZNK18StringMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0x3b)[0x7ffff6d44a0b]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d44d70]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d44d70]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d44d70]
/usr/lib64/libamaroklib.so.1(_ZNK24AndContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7ffff6d44ed0]
/usr/lib64/libamaroklib.so.1(+0x5be2b3)[0x7ffff6d552b3]
/usr/lib64/libamaroklib.so.1(+0x5b534d)[0x7ffff6d4c34d]
/usr/lib64/libthreadweaver.so.4(+0xcae1)[0x7ffff1be4ae1]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver3Job7executeEPNS_6ThreadE+0xbe)[0x7ffff1be4c1e]
/usr/lib64/libthreadweaver.so.4(+0xc3cf)[0x7ffff1be43cf]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver6Thread3runEv+0x78)[0x7ffff1be4488]
/usr/lib64/qt4/libQtCore.so.4(+0x79f65)[0x7ffff4ec8f65]
/lib64/libpthread.so.0(+0x7d0c)[0x7ffff2834d0c]
/lib64/libc.so.6(clone+0x6d)[0x7ffff467cbed]
======= Memory map: ========
00400000-00418000 r-xp 00000000 fe:00 809385                             /usr/bin/amarok
00617000-00618000 r--p 00017000 fe:00 809385                             /usr/bin/amarok
00618000-00619000 rw-p 00018000 fe:00 809385                             /usr/bin/amarok
00619000-018f4000 rw-p 00000000 00:00 0                                  [heap]
7fff9c000000-7fff9c021000 rw-p 00000000 00:00 0 
7fff9c021000-7fffa0000000 ---p 00000000 00:00 0 
7fffa14ac000-7fffa14ad000 rw-p 00000000 00:00 0 
7fffa14ad000-7fffa14b1000 rwxp 00000000 00:00 0 
7fffa14b1000-7fffa652a000 rw-s 00000000 fe:00 153524                     /var/tmp/kdecache-francois/plasma_theme_Amarok-Mockup.kcache
7fffa652a000-7fffa65c0000 r--p 00000000 fe:00 286115                     /usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf
7fffa65c0000-7fffa6740000 rw-p 00000000 00:00 0 
7fffa6766000-7fffa6bc0000 rw-p 00000000 00:00 0 
7fffa6be8000-7fffa7380000 rw-p 00000000 00:00 0 
7fffa738e000-7fffa741b000 r-xp 00000000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa741b000-7fffa761a000 ---p 0008d000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa761a000-7fffa761d000 r--p 0008c000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa761d000-7fffa761f000 rw-p 0008f000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7fffa761f000-7fffa7670000 r-xp 00000000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa7670000-7fffa7870000 ---p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa7870000-7fffa7872000 r--p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa7872000-7fffa7873000 rw-p 00053000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7fffa7873000-7fffa793d000 r-xp 00000000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa793d000-7fffa7b3c000 ---p 000ca000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa7b3c000-7fffa7b3e000 r--p 000c9000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa7b3e000-7fffa7b41000 rw-p 000cb000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7fffa7b41000-7fffa7b42000 rw-p 00000000 00:00 0 
7fffa7b42000-7fffa7bc5000 r-xp 00000000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7bc5000-7fffa7dc4000 ---p 00083000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7dc4000-7fffa7dc7000 r--p 00082000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7dc7000-7fffa7dc9000 rw-p 00085000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7fffa7dc9000-7fffa7dfe000 r-xp 00000000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa7dfe000-7fffa7ffd000 ---p 00035000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa7ffd000-7fffa7fff000 r--p 00034000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa7fff000-7fffa8000000 rw-p 00036000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7fffa8000000-7fffa8183000 rw-p 00000000 00:00 0 
7fffa8183000-7fffac000000 ---p 00000000 00:00 0 
7fffac003000-7fffac026000 r-xp 00000000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffac026000-7fffac225000 ---p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffac225000-7fffac226000 r--p 00022000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffac226000-7fffac227000 rw-p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7fffac227000-7fffac330000 r-xp 00000000 fe:00 529658                     /usr/lib64/qt4/plugins/script/libqtscript_network.so.1.0.0
7fffac330000-7fffac530000 ---p 00109000 fe:00 529658                     /usr/lib64/qt4/plugins/script/libqtscript_network.so.1.0.0
Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffb0646700 (LWP 19133)]
0x00007ffff45d5b45 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff45d5b45 in raise () from /lib64/libc.so.6
#1  0x00007ffff45d6fc6 in abort () from /lib64/libc.so.6
#2  0x00007ffff4610fe7 in ?? () from /lib64/libc.so.6
#3  0x00007ffff4616516 in ?? () from /lib64/libc.so.6
#4  0x00007ffff461b39c in free () from /lib64/libc.so.6
#5  0x00007ffff4f0e0ac in QString::free(QString::Data*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007ffff7514110 in ~QString (this=0x7fffb06458d0, __in_chrg=<optimized out>) at /usr/include/qt4/QtCore/qstring.h:883
#7  Meta::valueForField (field=<optimized out>, track=<optimized out>)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core/meta/support/MetaConstants.cpp:385
#8  0x00007ffff6d4576e in GenericStringMemoryFilter::value (this=<optimized out>, track=<optimized out>)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryFilter.cpp:41
#9  0x00007ffff6d44a0b in StringMemoryFilter::filterMatches (this=0xd646e0, track=<optimized out>)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryFilter.cpp:196
#10 0x00007ffff6d44d70 in OrContainerMemoryFilter::filterMatches (this=<optimized out>, track=...)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryFilter.cpp:150
#11 0x00007ffff6d44d70 in OrContainerMemoryFilter::filterMatches (this=<optimized out>, track=...)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryFilter.cpp:150
#12 0x00007ffff6d44d70 in OrContainerMemoryFilter::filterMatches (this=<optimized out>, track=...)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryFilter.cpp:150
#13 0x00007ffff6d44ed0 in AndContainerMemoryFilter::filterMatches (this=<optimized out>, track=...)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryFilter.cpp:127
#14 0x00007ffff6d552b3 in Collections::MemoryQueryMakerInternal::runQuery (this=0x7fff9c000e00)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:86
#15 0x00007ffff6d4c34d in QueryJob::run (this=0x7fff9c001250)
    at /var/tmp/portage/media-sound/amarok-2.5.0-r2/work/amarok-2.5.0/src/core-impl/collections/support/MemoryQueryMaker.cpp:59
#16 0x00007ffff1be4ae1 in ?? () from /usr/lib64/libthreadweaver.so.4
#17 0x00007ffff1be4c1e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#18 0x00007ffff1be43cf in ?? () from /usr/lib64/libthreadweaver.so.4
#19 0x00007ffff1be4488 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#20 0x00007ffff4ec8f65 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#21 0x00007ffff2834d0c in start_thread () from /lib64/libpthread.so.0
#22 0x00007ffff467cbed in clone () from /lib64/libc.so.6
Comment 3 Myriam Schweingruber 2012-05-06 22:26:26 UTC
Thank you for the backtrace. Could you please provide exact steps on how to reproduce this?
Comment 4 François Valenduc 2012-05-07 17:12:16 UTC
I tought I was sufficiently clear. So I repeat the way to reproduce the crash
1) Start amarok
2) Connect an MTP device
3) Enter something in the filter box to search for tracks in the music collections (local and on the device). As soon as I have typpen something, amarok crashes.
Comment 5 Myriam Schweingruber 2012-05-08 11:06:16 UTC
Thank you for the information. This is apparently an old bug refacing. I reopened the other one and marked it as a regression.

*** This bug has been marked as a duplicate of bug 270949 ***